Api referenceDevelopment projects

Project Brain

Reference for Project Brain in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/projects/{project_id}/brain

Project Brain. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
project_id*Project Id
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/brain"
{
  "active_cycle": {
    "blocked_count": 0,
    "completed_at": "2019-08-24T14:15:22Z",
    "completed_count": 0,
    "completion_summary": {},
    "created_at": "2019-08-24T14:15:22Z",
    "ends_on": "2019-08-24",
    "estimate_completed": 0,
    "estimate_total": 0,
    "goal": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "item_count": 0,
    "name": "string",
    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
    "starts_on": "2019-08-24",
    "status": "string",
    "unfinished_count": 0,
    "version": 0
  },
  "context_hash": "string",
  "coverage_gaps": [
    {}
  ],
  "entities": [
    {}
  ],
  "entity_count": 0,
  "evidence": [
    {}
  ],
  "evidence_count": 0,
  "finding_count": 0,
  "ideas": [
    {
      "basis": [
        {}
      ],
      "context_hash": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "description": "string",
      "evidence_ids": [
        "string"
      ],
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "kind": "string",
      "origin": "string",
      "rationale": "string",
      "review_reason": "string",
      "status": "string",
      "title": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "version": 0
    }
  ],
  "latest_review_id": "07d7f726-ca5b-4b3a-9968-d3add640a0eb",
  "observed_at": "2019-08-24T14:15:22Z",
  "project": {
    "audience": "string",
    "audit_ids": [
      "5849d674-bcf4-48fd-a8cb-40e27043a1b3"
    ],
    "brief_updated_by": "1b135057-a0a4-4c03-95f5-7dfb6a5758f2",
    "constraints": [
      "string"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
    "description": "string",
    "goals": [
      "string"
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "ingestion_ids": [
      "48fbbcda-e4e8-4ef1-a762-b52b1169a768"
    ],
    "key": "string",
    "name": "string",
    "purpose": "string",
    "repository_ids": [
      "f3227fc5-024f-4c73-b362-d0cb9602924d"
    ],
    "status": "string",
    "updated_at": "2019-08-24T14:15:22Z",
    "version": 0,
    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
  },
  "relationship_count": 0,
  "relationships": [
    {}
  ],
  "repositories": [
    {}
  ],
  "roadmap_counts": {
    "property1": 0,
    "property2": 0
  },
  "security_findings": [
    {
      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
      "confidence": 0,
      "description": "string",
      "evidence_count": 0,
      "evidence_ids": [
        "string"
      ],
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "last_seen_at": "2019-08-24T14:15:22Z",
      "recommendation": "string",
      "risk_score": 0,
      "severity": "string",
      "state": "string",
      "title": "string",
      "tracked_item_id": "9e2262b9-867d-4265-b1e8-38c3ba1ecff2"
    }
  ],
  "security_has_more": true,
  "source_hash": "string",
  "source_health": "empty",
  "sources": [
    {}
  ]
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}